geode-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Niall Pemberton (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (GEODE-584) Replace spring utility code
Date Sun, 22 Nov 2015 02:18:10 GMT

    [ https://issues.apache.org/jira/browse/GEODE-584?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15020798#comment-15020798
] 

Niall Pemberton commented on GEODE-584:
---------------------------------------

The current release of Commons Lang is version 3.4 - from the package names in the commit,
it looks like the older Commons Lang 2 has been used. Wouldn't it be better to use the latest
release?

 - org.apache.commons.lang3.StringUtils

> Replace spring utility code
> ---------------------------
>
>                 Key: GEODE-584
>                 URL: https://issues.apache.org/jira/browse/GEODE-584
>             Project: Geode
>          Issue Type: Improvement
>          Components: management
>            Reporter: Anthony Baker
>            Assignee: Anthony Baker
>
> The following classes in gemfire-core/src/main/java/com/gemstone/management/internal/cli/util/spring/
have been superseded by better alternatives:
> Assert -> spring-core
> ReflectionUtils -> spring-core
> ObjectUtils -> spring-core
> StringUtils -> commons-lang
> Removing the above src files requires a new dependency on commons-lang.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message